package com.xhly.websocket.utils;

import android.content.Context;
import android.content.Intent;

import com.neovisionaries.ws.client.WebSocket;
import com.xhly.websocket.service.SocketService;
import com.xhly.websocket.service.WebSocketHelper;


public class WebSocketUtils {
    //启动服务
    public static void openWebSocket(Context context) {
        context.startService(new Intent(context, SocketService.class));
    }

    public static void closeWebSocket(Context context) {
        context.stopService(new Intent(context, SocketService.class));
    }

    //心跳消息
    public static void hearBeat(WebSocket webSocket) {
        WebSocketHelper.getInstance().hearBeat(webSocket);
    }

}
